hadoop-common-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Owen O'Malley" <o...@yahoo-inc.com>
Subject Re: not jdk 1.4 compatibility
Date Thu, 09 Feb 2006 22:45:55 GMT

On Feb 9, 2006, at 2:36 PM, Stefan Groschupf wrote:

> Hi,
> hadoop build not under jdk 1.4 anymore.
> JobConf.java line: 305
>      return url.getPath().replace("file:", "").replaceAll("!.*$", "");
> may it would be better to use replaceAll or replaceFirst here.

You are right. Sorry about that. I guess I should install a 1.4 
compiler to make sure that it doesn't happen again.

-- Owen


Mime
View raw message